### A free/open-source library for quantitative finance

Classes | Functions
ql/time/calendar.hpp File Reference

calendar class More...

`#include <ql/time/date.hpp>`
`#include <ql/time/businessdayconvention.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <set>`
`#include <vector>`
`#include <string>`
Include dependency graph for calendar.hpp:

## Classes

class | Calendar
| calendar class More...
class | Calendar::Impl
| abstract base class for calendar implementations More...
class | Calendar::WesternImpl
| partial calendar implementation More...
class | Calendar::OrthodoxImpl
| partial calendar implementation More...

## Detailed Description

calendar class